/***************************************************************************
                          guicreateuser.h  -  description
                             -------------------
    begin                : Do Nov 4 2004
    copyright            : (C) 2004 by Marcel Mulch
    email                : marcel@mulch-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUICREATEUSER_H
#define GUICREATEUSER_H

#include <qwidget.h>
#include <qlineedit.h>
#include <qstring.h>
#include <qcombobox.h>

#include <string>
using namespace std;

#include <guicreateuserbase.h>

#include "hobit.h"
#include "guimain.h"

class GuiMain;

/**
* Base Dialog for creating a new User
*/
class GuiCreateUser : public GuiCreateUserBase
{
  Q_OBJECT
public:
  /**
         * class to create new user via dialog
         *
         *@param main
         *@param parent the parent dialog of this widget
         *@param name widgets title
         *@param hobit
         */
  GuiCreateUser(QWidget *parent, GuiMain* guimain, const char *name=0, HoBIT* hobit = 0);
  ~GuiCreateUser();

/** set hobit object*/
  void setHoBIT(HoBIT* hobit){
   _hobit = hobit;
  }

private:

  HoBIT* _hobit;
  GuiMain* _main;


public slots: // Public slots
  /**
  * called after accept button is pressed 
  */
  void accept();
  /**
  * Calls a file select dialog.
  */
  void slotSelectFile();
};

#endif
