/***************************************************************************
                          guistartstandingorder.h  -  description
                             -------------------
    begin                : Sa Nov 13 2004
    copyright            : (C) 2004 by Marcel Mulch
    email                : marcel@mulch-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUISTARTSTANDINGORDER_H
#define GUISTARTSTANDINGORDER_H
#include <qwidget.h>
#include <guitransferform.h>
#include "hobit.h"
#include "guimain.h"

/**
*this is the class for the start of the standingOrder
*/
class GuiStartStandingOrder : public GuiTransferForm
{
  Q_OBJECT

public:

  /**
  *constructor of GuiStartStandingOrder
  *
  *@param main a pointer on moneypenny´s main class
  *@param parent a pointer on the main widgets widget stack
  *@param name widgets title
  *@param hobit the hobit object, needed for hbci functions
  */
  GuiStartStandingOrder(QWidget *parent, GuiMain *main, const char *name=0, HoBIT* hobit = 0);

  /**
  *destructor of GuiStartStandingOrder
  */
  ~GuiStartStandingOrder();

  /**
  *called function after pressing button of formular,
  *gets current inputs of formular for transferjob  
  */
  void accept();
};

#endif
